Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.japisoft.xmlpad.bean
Class XMLTemplate

    java.lang.Object
      |
      +--com.japisoft.xmlpad.bean.XMLTemplate

public class XMLTemplate
extends java.lang.Object

Template for XML. This is useful for the 'new' operation.

Version:
  1.0
Author:
  (c) 2002 JAPISOFT

Constructor Summary
`XMLTemplate()`

Method Summary
`boolean` | `isValidating()`
`void` | `setComment(java.lang.String comment)` Initial comment
`void` | `setContent(java.lang.String content)` End of the template
`void` | `setDtd(java.lang.String dtd)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setRootNode(java.lang.String root)`
`void` | `setValidating(boolean validating)` Choose to validate this document
`void` | `setVersion(int majorVersion, int minorVersion)` XMLTemplate version
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLTemplate

    public XMLTemplate()

Method Detail

### setVersion

    public void setVersion(int majorVersion,
                           int minorVersion)

  XMLTemplate version

### setEncoding

    public void setEncoding(java.lang.String encoding)

### setDtd

    public void setDtd(java.lang.String dtd)

### setRootNode

    public void setRootNode(java.lang.String root)

### setContent

    public void setContent(java.lang.String content)

  End of the template

### setComment

    public void setComment(java.lang.String comment)

  Initial comment

### setValidating

    public void setValidating(boolean validating)

  Choose to validate this document

### isValidating

    public boolean isValidating()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD